Bug 428894 - Review Request: rudesocket - Library (C++ API) for creating client sockets
Review Request: rudesocket - Library (C++ API) for creating client sockets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 16:41 EST by Matt Flood
Modified: 2008-02-06 19:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:03:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Flood 2008-01-15 16:41:25 EST
Spec URL: http://homeless.fedorapeople.org/rudesocket/rudesocket.spec
SRPM URL: http://homeless.fedorapeople.org/rudesocket/rudesocket-1.1.0-3.src.rpm
Description: rudecgi provides client socket services to an application.
In addition to normal and SSL TCP connections, it supports 
proxies, SOCK4 and SOCKS5 servers that you can chain together.
Comment 1 Matt Flood 2008-01-15 17:27:28 EST
Updated Description: rudesocket provides client socket services to an 
application. In addition to normal and SSL TCP connections, it supports 
proxies, SOCK4 and SOCKS5 servers that you can chain together.
Comment 2 Parag AN(पराग) 2008-01-28 01:07:34 EST
Source URL is not working
Comment 4 Parag AN(पराग) 2008-01-31 00:05:12 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
67f07f0c434ab8262157e7f5bbeb59dd  rudesocket-1.2.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package rudesocket-1.2.0-1.fc9 ->
  Provides: librudesocket.so.1
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libm.so.6 librudesocket.so.1 libssl.so.7 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) openssl rtld(GNU_HASH)
+ Package rudesocket-devel-1.2.0-1.fc9 ->
  Requires: librudesocket.so.1 rudesocket = 1.2.0-1.fc9
+ Not a GUI App.
APPROVED.
Comment 5 Matt Flood 2008-01-31 10:05:52 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: rudesocket
Short Description: Library (C++ API) for creating client sockets
Owners: homeless
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-31 12:56:11 EST
cvs done.
Comment 7 Parag AN(पराग) 2008-02-05 03:00:26 EST
Is this built for F-7 and F-8?
Comment 8 Matt Flood 2008-02-05 20:43:07 EST
Not yet, the build failed due to missing includes for std c libraries. I got 
the flu before I could fix it, am working on it now.

Note You need to log in before you can comment on or make changes to this bug.